
var PageSize = 30;//每页计数
var CurrentPage = 1; //当前页
var active = -1;
var status = 1;
var sort = 1;

//列表查询条件
var search_urldata = 'type=ajax&Action=GetList&PageSize='+PageSize+'&Page='+CurrentPage + '&sort=' + sort;
function setList()
{
	var pageWidth=document.documentElement.clientWidth-9;
	$(".sub_container_content").css("width",pageWidth);
	$(".sub_container_listhead").css("width",pageWidth);
	$(".llist").css("width",pageWidth);
	var c1_width = pageWidth*0.05+"px";
	var c2_width = pageWidth*0.1+"px";
	var c3_width = pageWidth*0.1+"px";
	var c4_width = pageWidth*0.1+"px";
	var c5_width = pageWidth*0.1+"px";
	var c6_width = pageWidth*0.1+"px";
	var c7_width = pageWidth*0.1+"px";
	var c8_width = pageWidth*0.1+"px";
	var c9_width = pageWidth*0.1+"px";


	$('.c1').css("width",c1_width);
	$('.c2').css("width",c2_width);
	$('.c3').css("width",c3_width);
	$('.c4').css("width",c4_width);
	$('.c5').css("width",c5_width);
	$('.c6').css("width",c6_width);
	$('.c7').css("width",c7_width);
	$('.c8').css("width",c8_width);
	$('.c9').css("width",c9_width);
}

$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){$(this).show();}).ajaxStop(function(){$(this).hide();});	

	if($.browser.mozilla){setInterval(setList,1000);}
	setInterval(function(){
        $('div.sub_container_page').css('top',$(window.parent.frames.right).height()-$('div.sub_container_page').height()-2); //设置底部分页区域的位置
        $('div.sub_container_content').css('height',$(window.parent.frames.right).height()-$('div.sub_container_title').height()-$('div.sub_container_operation').height()-$('div.sub_container_listhead').height()-$('div.sub_container_page').height()-10); //设置内容区域的高度
    },1000);

    $('input[@name=chkAll]').click(function(){$('input[@name=chkItem]').attr('checked',$(this).attr('checked'));});//全选

    BindList();
    
    $('#btnSearch').click(function(){
        CurrentPage = 1;
        active = $('#ddlActive').val();
        BindList();
    });
    
    $('#btnDelete').click(function(){
        if(CanDeleteScoreCard=="True"){
            var ids = '';
            $('input[@name=chkItem][@checked]').each(function(){ids += $(this).val() + ',';});
            //if(ids != ''){ids = ids.substring(0,ids.length-1);ChangeStatus(ids,0);};
            //20110107 modify by liwenhai
            if(ids != ''){
                ids = ids.substring(0,ids.length-1);
            }
            else{
                alert("请选择要删除的积分卡");
                return false;
            }
            if(confirm("确实要删除选择的积分卡吗？")){
                ChangeStatus(ids,0);
                return false;
            }
        }
        else{
            alert("你没有删除积分卡的权限，请联系超级管理员！");
        }
    });
    
    //没有权限的话，直接就把导出按钮隐藏了。有导出按钮的话，就有导出的权限
    $('#btnExport').click(function(){
        var ids = '';
        $('input[@name=chkItem][@checked]').each(function(){ids += $(this).val() + ',';});
        if(ids != ''){
            ids = ids.substring(0,ids.length-1);
            $('#ids').val(ids);
        }else{
            alert('请选择要导出的卡号');
            return false;
        };
    });    
});    

//绑定数据
function BindList(){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:'ScoreNo.aspx?NoCopyRight=1&type=ajax&Action=GetList&PageSize='+PageSize+'&Page='+CurrentPage+'&sort='+sort+'&Active='+active+'&Status='+status,
        cache:false,
        success:function(msg){
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.Score;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')}); //将复制的行显示出来并添加样式
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.ScoreID + '" />');//checkbox
                row.find('#ScoreName').html(n.ScoreName);
				row.find('#ScoreNo').html(n.ScoreNo);
                row.find('#ScorePass').html(n.ScorePass);
                row.find('#ScoreNum').html(n.ScoreNum);
                row.find('#CreateDate').html(n.CreateDate);
				row.find('#ExpireDate').html(n.ExpireDate);
                row.find('#UsedTime').html(n.MemberID != '0' ? n.UsedTime : '--');
                row.find('#MemberName').html(n.MemberID != '0' ? n.MemberName : '--');
				row.appendTo("#datas");//添加到模板的容器中
            });
			
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "MsgList.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindList();return false;"}//[attr]
            );
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');}else{alert(textStatus)};}
    });//end ajax
};//end funciton

function ChangeStatus(ids,status){
    $.ajax({
        url:'ScoreNo.aspx?type=ajax&Action=ChangeStatus&IDs=' + ids+'&status='+status,
        cache:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;}
            if(data==-1){
                alert("你没有删除积分卡的权限，请联系超级管理员！");
            }
            else if(data>0){
                alert("积分卡删除成功！");
                BindList();
            }
        },
        error:function(){alert('error');}
    });//end ajax
};

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    };
    return result;
};
//隐藏没有权限的操作
function HideNoPermissionOperation(){
    //没有导出权限的话就要隐藏起来
    if(CanDeleteScoreCard=="False"){
        $('#btnDelete').hide();
        $('.c1').hide();
    }
}